Thu Oct 11 13:28:58 2007  Chris Moller  <cmoller@redhat.com>

	* udb-response.c: Added LKM-initiated shutdown.
	* udb.c: Replaced pthread_cancel shutdown of the listener thread
	with synchronised shutdown via LKM-initiated shutdown.

Tue Oct  2 23:30:23 2007  Chris Moller  <cmoller@redhat.com>

	* udb-text-ui.c:
	* udb-i386.c: Minor tinkering.

Mon Oct  1 13:34:29 2007  Chris Moller  <cmoller@redhat.com>

	* udb-i386.c:
	* udb-text-ui.c:
	* udb.c: More stuff to isolate Java from the system.

Fri Sep 21 11:10:29 2007  Chris Moller  <cmoller@redhat.com>

	* udb-utrace-if.c:  Removed.
	* Makefile: Removed udb-utrace-if.c; last remaining function moved
	to utracer/utracer/utracer.c.

Fri Sep 21 11:04:00 2007  Chris Moller  <cmoller@redhat.com>

	* Extensive re-write to further isolate OS-dependent code from Java.

Thu Aug 30 20:34:34 2007  Chris Moller  <cmoller@redhat.com>

	* Added copyright notices to all files.

Thu Aug 23 16:53:19 2007  Chris Moller  <cmoller@redhat.com>

	* udb-i386.c:
	* udb-text-ui.c:
	* udb.c: Move register/unregister stuff to ioctl.

Tue Aug 14 10:29:16 2007  Chris Moller  <cmoller@redhat.com>

	* udb-utrace-if.c:
	* udb-text-ui.c: Move detach_fcn and sync functions to ioctl.

Mon Aug  6 12:03:07 2007  Chris Moller  <cmoller@redhat.com>

	* udb-text-ui.c:
	* udb-utrace-if.c: Move quiesce and run cmds to ioctl.

Mon Aug  6 10:39:08 2007  Chris Moller  <cmoller@redhat.com>

	* Makefile: Made insmod and rmmod absolute path specs.
	* udb-text-ui.c:  Made attach_fcn and watch_fcn set current_pid
	and prompt on success.
	* tudb: New file of primitive trest drivers.

Thu Aug  2 10:01:26 2007  Chris Moller  <cmoller@redhat.com>

	* udb-utrace-if.c
	* udb-response.c:  Removed switchpid and attach response code.
	* udb.c:
	* udb-text-ui.c:  Changed switchpid, attach, and watch from
	write() to ioctl() methods.

Tue Jul 31 13:18:15 2007  Chris Moller  <cmoller@redhat.com>

	* udb-i386.c: Added various free() and regfree() stuff for clean
	shutdown.  Moved arch-dependent syscall table stuff here from
	udb-text-ui.c.  (Should have been done a long time ago, but I
	missed it.)
	* udb-response.c: A little clean-up.
	* udb-text-ui.c: Removed syscall parsing stuff; see above.   Added
	various	free() and hdestroy() stuff for clean shutdown. Moved
	syscall cmd stuff to ioctl i/f.
	* udb-utrace-if.c:  Moved syscall cmd stuff to ioctl i/f.  A bit
	of clean-up.

Mon Jul 30 11:56:09 2007  Chris Moller  <cmoller@redhat.com>

	* udb-text-ui.c (printmem_fcn): Added CLI to getmem.

Sun Jul 29 11:27:37 2007  Chris Moller  <cmoller@redhat.com>

	* udb-i386.h:
	* udb-i386.c:  Tinkered with/cleaned up the regspec regex; added
	symbolic refs for descriptor and stx regs.

Sun Jul 29 00:11:01 2007  Chris Moller  <cmoller@redhat.com>

	* udb-text-ui.c (printreg_fcn): Removed the pid parsing from
	readregs and moved it to udb-i386.c.
	* udb-i386.c: Added a regcomp/regexec parser for the regspec.

Sat Jul 28 17:01:09 2007  Chris Moller  <cmoller@redhat.com>

	* udb-i386.h:
	* udb-i386.c: Improved reg display formatting.
	* udb-text-ui.c:  Minor fix to pra.

Sat Jul 28 10:02:47 2007  Chris Moller  <cmoller@redhat.com>

	* udb-i386.c: Moved regspec parser here from udb-if-io.c.  Moved
	reg display code here from whereever it was.  Tweaked both to work
	better
	* udb-i386.h: Aded stuff in aid of above.
	* udb-response.c: Removed reg display stuff and put it in
	arch-dep.
	* udb-text-ui.c: Removed regspec parser to arc-dep.
	* udb-utrace-if.c: Removed readreg stuff and put it in ioctl.

Thu Jul 26 14:07:40 2007  Chris Moller  <cmoller@redhat.com>

	* udb-i386.c: Added a bit of code to read and display proc mem
	corresponding to the buffer args of read and write syscalls.  Uses
	the new /proc/<pid>/mem emulation.

Thu Jul 26 11:49:36 2007  Chris Moller  <cmoller@redhat.com>

	* udb-utrace-if.c:
	* udb-response.c: Removed listpids code.
	* udb-text-ui.c: Add listpids code.

Wed Jul 25 17:24:06 2007  Chris Moller  <cmoller@redhat.com>

	* Makefile:  Added -lutracer stuff.
	* udb-text-ui.c:  Replaced local utracer i/f calls with new public
	i/f calls.
	* udb-utrace-if.c: Removed som i/f calls to public i/f.

Tue Jul 24 15:03:36 2007  Chris Moller  <cmoller@redhat.com>

	* udb-text-ui.c:  Moved handle_printmmap() here from udb-utrace-if.

Mon Jul 23 23:23:22 2007  Chris Moller  <cmoller@redhat.com>

	* /udb-i386.c:  Cleaned up dead code.
	* udb-response.c: Removed formatting code now handled via the
	ioctl path.
	* udb-utrace-if.c: Added ioctl queries migrated from the
	cmd-response path.

Fri Jul 20 12:02:31 2007  Chris Moller  <cmoller@redhat.com>

	* udb-utrace-if.c:
	* udb-text-ui.c:
	* udb-utrace-if.  Added code to print both the supplied filename
	and the interpreted filename of the binary corresponding to the
	current task.

Fri Jul 20 10:20:02 2007  Chris Moller  <cmoller@redhat.com>

	* udb-response.c: Moved the printenv formatter here.  Encapsulated
	the printmmap formatter in an s/r.  (Planning to move all the
	formatters to their own file sometime soon.)
	* udb-utrace-if.c: Removed the printenv formatter from here.
	* udb.c: Clean-up.

Fri Jul 20 00:00:55 2007  Chris Moller  <cmoller@redhat.com>

	* udb-response.c: Added a way to kill the debugger from a script.
	* udb-text-ui.c: Added the printenv command.
	* udb-utrace-if.c: Added the printenv i/f (also verifies the ioctl
	path).

Thu Jul 19 11:41:16 2007  Chris Moller  <cmoller@redhat.com>

	* Makefile: Changed default target to not setsuid of udb
	* udb-module.c: #ifdeffed-out stuff that auto-loaded/auto-unloaded
	the module.  It was causing race problems and won't be used in the
	real world.
	* udb-text-ui.c: Clean-up.
	* udb.c: Added code to synchronise the udb control thread, the udb
	listener thread, and the module.  Still needs work.  Also took out
	the -m option to load the module; see above.

Tue Jul 10 11:31:00 2007  Chris Moller  <cmoller@redhat.com>

	* udb-response.c: Added a sync response that executes queued cmds
	after sync from utracer.
	* udb-utrace-if.c: Added a sync command to request a sync response
	from utracer.
	* udb.c: Added command-line args to build a queue of commands to
	be executed after utracer initialisation.  Temporarily defaulted
	the module path to ./utracer/utracer unless overridden by the user.
	* udb-text-ui.c: Separated the command execution code from the
	readline loop to allow batch commands.
	* udb.h: Neatened up the code.

Mon Jul  9 15:29:35 2007  Chris Moller  <cmoller@redhat.com>

	* udb-module.c: Minor cleanup.
	* udb.c:
	* udb-response.c: Switched to new directory structure in
	/proc/utrace.

Fri Jul  6 12:10:16 2007  Chris Moller  <cmoller@redhat.com>

	* udb-response.c: Added a report formatter for printmmap results.
	* udb-utrace-if.c:
	* udb-text-ui.c: Added a printmmap command.  (All this produces
	the same results as obtained via /proc/<pid>/maps, plus a bit more.)

Wed Jul  4 12:44:59 2007  Chris Moller  <cmoller@redhat.com>

	* udb-i386.c:
	* udb-response.c: Added quiesce response.

Tue Jul  3 12:01:52 2007  Chris Moller  <cmoller@redhat.com>

	* Makefile: Added utracer/utracer-errmsgs.h to dependencies.
	* udb-text-ui.c: Added PID selector to printreg and printregall
	cmds. Stored invalid commands on readline history stack for editing.

Tue Jul  3 11:10:11 2007  Chris Moller  <cmoller@redhat.com>

	* udb-text-ui.c: Added hash table for syscall names.  Added parser
	for syscall filte commands.  Fixed several cmds to accept
	current_pid if no pid argument supplied.
	* udb-utrace-if.c: Added syscall filter command i/f.
	* screendumps.txt: New file with sample screendumps.

Sun Jul  1 16:28:05 2007  Chris Moller  <cmoller@redhat.com>

	* udb-i386.h:
	* udb-i386.c: Revised syscall_names table to make it hsearchable.
	* udb-text-ui.c:
	* udb-text-ui.c:
	* udb-utrace-if.c: Added controls to enable, disable, and filter
	syscalls. 

Sat Jun 30 22:09:47 2007  Chris Moller  <cmoller@redhat.com>

	* udb-response.c:  Added code to display report_exec results
	(i.e., the name of the binary file execed.)

Fri Jun 29 23:04:02 2007  Chris Moller  <cmoller@redhat.com>

	* udb-i386.c: New source file containing i386-specific code
	* udb.c: Added a capability to pass arguments with pgms to be
	loaded and, optionally, run.  (Note that this doesn't provide
	globbing, parm expansion, or any of that shell stuff, but passing,
	e.g., "ls -1" does what you expect.)

Fri Jun 29 21:40:04 2007  Chris Moller  <cmoller@redhat.com>

	* udb-i386.h: Added a local copy of the struct pt_regs decl--the
	one in /usr/include/asm/ptrace.h doesn't match the one in
	<kernel>/include/asm/ptrace.h. The local copy is from the kernel
	header. Added a table of syscall name strings derived from
	<kernel>/include/asm-i386/unistd.h. 

Fri Jun 29 12:05:34 2007  Chris Moller  <cmoller@redhat.com>

	* Makefile: Added udb-i386.c and tweaked dependencies
	* udb-i386.h: Moved i386_signals from udb-response.c.
	* udb-i386.c: New source file to handle i386-specific stuff.
	* udb-response.c: Removed i386_signals to udb-i386.h and added
	support for syscall data.
	
Thu Jun 28 23:30:55 2007  Chris Moller  <cmoller@redhat.com>

	* udb-utrace-if.c: Added support for selectively execing a pgm and
	immediately quiescing it, or execing it and running it.
	* udb.c: Same as above.

Thu Jun 28 10:41:46 2007  Chris Moller  <cmoller@redhat.com>

	* OVERVIEW: Added to provide of utracer and udb.
	* udb-response.c: Added by separating it out of udb.c.  Provides
	the response entry listener.
	* udb-i386.h: Added by separating i386-specific stuff from other
	sources.
	* udb-text-ui.c: Added a switchpid command to verify that the
	specified PID exists, then switch to it if it does.
	* udb.c: Added support for forking/attaching/execing a
	command-line specified program.

Wed Jun 27 23:27:03 2007  Chris Moller  <cmoller@redhat.com>

	* udb-text-ui.c: Added a printregall command to print all
	available register values.
	* udb.c: Added display capability for the printregall cmd.

Wed Jun 27 21:33:01 2007  Chris Moller  <cmoller@redhat.com>

	* udb-text-ui.c: Added a means of listing all attached processes.
	Added a means of attaching to a process without quiescing it.
	Added a little help for supported commands.
	* udb-utrace-if.c: Added support for a means of attaching to a
	process without quiescing it.  Added support for a means of
	listing all attached processes.
	* udb.c: Added a pthread_join() to wait for the listener thread to
	die after pthread_cancel().  (The absence of the join was
	interfering with module unloading.)  Added a text description of
	received signals.   Added support for a means of listing all
	attached processes.  Added support for death and exit reporting.
	Added support for a "-w" option that watches (attaches without
	quiescing) specified processes.

Wed Jun 20 12:04:04 2007  Chris Moller  <cmoller@redhat.com>

	* udb-text-ui.c: Added descriptions to CLI commands.

2007-06-19  Chris Moller  <cmoller@redhat.com>

	* udb-module.c: New--moved the module loading/unloading code here
	from udb.c.  Also added a "--wait" to rmmod to fix the "module in
	use" problems.
	* udb.c: Took the module loading/unloading stuff out per above.
	Added a response parser/formatter to the listener thread.  Added a
	formatter for attach confirmation.
	* udb.h: Patched a few things for above.
	* Makefile: Added udb-module.c

2007-06-18  Chris Moller  <cmoller@redhat.com>

	* Makefile: Added -lpthread to UDB_LIBS
	* udb-text-ui.c: Added test for empty iline.  Cleaned up
	diagnostic code.
	* udb-utrace-if.c: Removed automatic read if if_resp to get
	readreg data, replaced with blocked read in udb.c, q.v.  Cleaned
	up diagnostic code.
	* udb.c: Added a thread that listens to the LKM waiting for input.
	* udb.h: Patch to accomdate the above.
	

2007-06-15  Chris Moller  <cmoller@redhat.com>

	* udb.c: Added SIGUSR1 handler to get asynchronous notification
	from the LKM.
	* udb-text-ui.c: Added a cmd to test the above.
	* udb-utrace-if.c: Added support for above.

2007-06-13  Chris Moller  <cmoller@redhat.com>

	* udb-utrace-if.c:Added utrace-specific error message reporting.

2007-06-12  Chris Moller  <cmoller@redhat.com>

	* ChangeLog:
	* .cvsignore:
	* do_make:
	* Makefile:
	* NOTES:
	* udb.c:
	* udb-text-ui.c:
	* udb-utrace-if.c:
	* udb.h:  Version 0.0.0.0.0.0
	

